# CLcdView Class Reference

`#include <CLCDView.h>`

## Public Member Functions
| CLcdView (unsigned originx, unsigned originy)
| ~CLcdView ()
int | lcdData (unsigned char data)
int | lcdCmd (unsigned char cmd)
void | lcdClear (void)
void | lcdPrintChar (unsigned char c)
void | lcdPrintString (const char *str)
void | lcdSpecialCharInit (unsigned char num, unsigned char *table)
void | lcdSpecialCharsInit (unsigned char *table)
void | setLcdBColor (unsigned char r, unsigned char g, unsigned char b)
void | setLcdFColor (unsigned char r, unsigned char g, unsigned char b)
int | getLcdColumns (void)
void | setLcdColumns (int num)
int | getLcdLines (void)
void | setLcdLines (int num)
int | getLcdCharWidth (void)
void | setLcdCharWidth (int num)
int | getLcdCharHeight (void)
void | setLcdCharHeight (int num)
int | getLcdOffsetColumns (void)
void | setLcdOffsetColumns (int num)
int | getLcdOffsetLines (void)
void | setLcdOffsetLines (int num)
int | getLcdPixelX (void)
void | setLcdPixelX (int num)
int | getLcdPixelY (void)
void | setLcdPixelY (int num)
int | getLcdBorder (void)
void | setLcdBorder (int num)
int | getLcdCursorX (void)
void | setLcdCursorX (int num)
int | getLcdCursorY (void)
void | setLcdCursorY (int num)
int | getLcdOriginX (void)
void | setLcdOriginX (int num)
int | getLcdOriginY (void)
void | setLcdOriginY (int num)
int | getLcdSizeX (void)
int | getLcdSizeY (void)
void | paint (Graphics &g)

## Constructor & Destructor Documentation

CLcdView::CLcdView | ( | unsigned | originx,
|  | unsigned | originy |
| ) |  |  |

Constructor

Here is the call graph for this function:

CLcdView::~CLcdView | ( | void |  | ) |

Destructor

## Member Function Documentation

int CLcdView::getLcdBorder | ( | void |  | ) | `[inline]`

int CLcdView::getLcdCharHeight | ( | void |  | ) | `[inline]`

int CLcdView::getLcdCharWidth | ( | void |  | ) | `[inline]`

int CLcdView::getLcdColumns | ( | void |  | ) | `[inline]`

int CLcdView::getLcdCursorX | ( | void |  | ) | `[inline]`

int CLcdView::getLcdCursorY | ( | void |  | ) | `[inline]`

int CLcdView::getLcdLines | ( | void |  | ) | `[inline]`

int CLcdView::getLcdOffsetColumns | ( | void |  | ) | `[inline]`

int CLcdView::getLcdOffsetLines | ( | void |  | ) | `[inline]`

int CLcdView::getLcdOriginX | ( | void |  | ) | `[inline]`

int CLcdView::getLcdOriginY | ( | void |  | ) | `[inline]`

int CLcdView::getLcdPixelX | ( | void |  | ) | `[inline]`

int CLcdView::getLcdPixelY | ( | void |  | ) | `[inline]`

int CLcdView::getLcdSizeX | ( | void |  | ) |

int CLcdView::getLcdSizeY | ( | void |  | ) |

void CLcdView::lcdClear | ( | void |  | ) |

Here is the call graph for this function:

int CLcdView::lcdCmd | ( | unsigned char | cmd | ) |

Here is the call graph for this function:

int CLcdView::lcdData | ( | unsigned char | data | ) |

Here is the call graph for this function:

void CLcdView::lcdPrintChar | ( | unsigned char | c | ) |

void CLcdView::lcdPrintString | ( | const char * | str | ) |

Here is the call graph for this function:

void CLcdView::lcdSpecialCharInit | ( | unsigned char | num,
|  | unsigned char * | table |
| ) |  |  |

void CLcdView::lcdSpecialCharsInit | ( | unsigned char * | table | ) |

void CLcdView::paint | ( | Graphics & | g | ) |

Here is the call graph for this function:

void CLcdView::setLcdBColor | ( | unsigned char | r,
|  | unsigned char | g,
|  | unsigned char | b |
| ) |  |  |

void CLcdView::setLcdBorder | ( | int | num | ) | `[inline]`

void CLcdView::setLcdCharHeight | ( | int | num | ) | `[inline]`

void CLcdView::setLcdCharWidth | ( | int | num | ) | `[inline]`

void CLcdView::setLcdColumns | ( | int | num | ) | `[inline]`

void CLcdView::setLcdCursorX | ( | int | num | ) | `[inline]`

void CLcdView::setLcdCursorY | ( | int | num | ) | `[inline]`

void CLcdView::setLcdFColor | ( | unsigned char | r,
|  | unsigned char | g,
|  | unsigned char | b |
| ) |  |  |

void CLcdView::setLcdLines | ( | int | num | ) | `[inline]`

void CLcdView::setLcdOffsetColumns | ( | int | num | ) | `[inline]`

void CLcdView::setLcdOffsetLines | ( | int | num | ) | `[inline]`

void CLcdView::setLcdOriginX | ( | int | num | ) | `[inline]`

void CLcdView::setLcdOriginY | ( | int | num | ) | `[inline]`

void CLcdView::setLcdPixelX | ( | int | num | ) | `[inline]`

void CLcdView::setLcdPixelY | ( | int | num | ) | `[inline]`

The documentation for this class was generated from the following files:

- modules/app_lcd/juce/CLCDView.h
- modules/app_lcd/juce/CLCDView.cpp